{: test a compilation error occurs when the lhs of the in operator is real }

{$d+}
program e040( output );

var
   x : real;


begin {e040}

   x := 89;
   if x in [1,2,5..9] then { !!! x must be integer, not real }
    writeln( 'fails: non-ordinal lhs of in operator not detected' );

end. {e040}

